import request from '@/utils/request'

// 查询询价单列表 表1
export function searchInquirySheet(check1, value1, check2, value2, check3, id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_询价单_查询数据',
      param: `供应商名称_check=${check1}&供应商名称=${value1}&询价单编号_check=${check2}&询价单编号=${value2}&采购员流水号_check=${check3}&采购员流水号=${id}`
    }
  })
}
// 根据询价单流水号查询物料详情
export function searchSheetContract(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_询价单明细_查询数据',
      param: '询价单流水号=' + num1
    }
  })
}
// 生成采购合同
export function doneContract(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购合同_增加数据',
      param: `采购合同编号=${params[0]}\\&采购合同名称=${params[1]}\\&交货日期=${params[2]}\\&支付日期=${params[3]}\\&支付方式=${params[4]}\\&开票信息=${params[5]}\\&其他说明=${params[6]}\\&合同总额=${params[7]}\\&采购员流水号=${params[8]}\\&供应商流水号=${params[9]}\\&单价是否含税=${params[10]}\\&组件零件流水号组=${params[11]}\\&组件零件基本件流水号组=${params[12]}\\&数量组=${params[13]}\\&单价组=${params[14]}\\&交货期组=${params[15]}\\&合同内容\\=${params[16]}`
    }
  })
}
